Default Postgresql configuration example should not have quotation marks around password
2024-11-16 06:24 - Kelvin Quee
Category: Estimated time: 0.00 hour
Target version:

Resolution: Wont fix Affected version: 6.0.1
Description

In database configuration example:

https://www.redmine.org/projects/redmine/repository/svn/entry/tags/6.0.1/config/database.yml.example

The password for Postgresqgl has quotation marks around it. This misleads users to include the quotation marks while setting the
password and also is inconsistent with the rest of the settings (eg no quotation marks). See -

# PostgreSQL configuration example
#production:

# adapter: postgresqgl

database: redmine

host: localhost

username: postgres
password: "postgres"

| suggest removing it to prevent future misconfiguration.

History

#1 - 2024-11-16 08:45 - Go MAEDA

| believe that double quotation marks are necessary for the password in the configuration example.

If the password consists only of letters and numbers, double quotation marks are not necessary. However, if the password includes certain symbols,
enclosing it in double quotation marks is essential to avoid YAML parsing errors (e.g., #12229).

Therefore, it is safer to always enclose passwords in double quotation marks.

#2 - 2024-11-20 07:24 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Wont fix
